[Unit]
Description=JupyterHub
After=network.target

[Service]
# Không nên dùng root nếu không cần thiết. Nếu vẫn dùng root, đảm bảo bảo mật hệ thống.
User=root
WorkingDirectory=/opt/jupyterhub
Environment="PATH=/opt/jupyterhub/venv/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
ExecStart=/opt/jupyterhub/venv/bin/jupyterhub -f /etc/jupyterhub/jupyterhub_config.py
Restart=always

[Install]
WantedBy=multi-user.target
